> ## Name

> tex2DMSfetch - performs an unfiltered texture lookup in a given multisample texture sampler.

> ## Synopsis

>     float4 tex2DMSfetch(sampler2DMS samp, int2 s, int n)

>     int4 tex2DMSfetch(isampler2DMS samp, int2 s, int n)

>     unsigned int4 tex2DMSfetch(usampler2DMS samp, int2 s, int n)

> ## Parameters

> samp
>   Sampler to lookup.
> s
>   2D coordinates to perform the lookup.
> num
>   Multisample sample number.

> ## Description

> Performs an unfiltered texture lookup of sample num of sampler samp using coordinates s.

> ## Profile Support

> tex2DMSfetch is only supported in gp5 and newer profiles.

> glsl profile support requires ARB_texture_multisample extension or OpenGL 3.2

> ## See Also

>       http://www.opengl.org/registry/specs/ARB/texture_multisample.txt

> tex2Dfetch, tex2DARRAYfetch, tex2DMSsize